> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# op作成

> opオブジェクトを作成します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/ops
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/ops:
    post:
      tags:
        - Ops
      summary: op作成
      description: opオブジェクトを作成します。
      operationId: op_create_v2__entity___project__ops_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpCreateRes'
          description: 正常なレスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    OpCreateBody:
      description: |-
        REST API 経由で Op オブジェクトを作成するためのリクエストボディ。

        このモデルには project_id は含まれません。RESTful endpoints の URL パスから取得されるためです。
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: この op の名前です。同じ名前の op は同じバージョン系列として管理されます。
          title: Name
        source_code:
          anyOf:
            - type: string
            - type: 'null'
          description: import を含む、この op の完全なソースコード
          title: Source Code
      title: OpCreateBody
      type: object
    OpCreateRes:
      description: Op オブジェクトを作成する際のレスポンスモデル。
      properties:
        digest:
          description: 作成された op のダイジェスト
          title: Digest
          type: string
        object_id:
          description: 作成された op の ID
          title: Object Id
          type: string
        version_index:
          description: 作成された op のバージョンインデックス
          title: Version Index
          type: integer
      required:
        - digest
        - object_id
        - version_index
      title: OpCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````